## org.biojavax.ga.functions
Interface SelectionFunction

All Known Implementing Classes:
  ProportionalSelection, SelectionFunction.SelectAll, SelectionFunction.Threshold, TournamentSelection

    public interface SelectionFunction

Selects Organisms for Replication and returns the offspring.

Since:
  1.5
Version:
  1.1
Author:
  Mark Schreiber, Susanne Merz, Andreas Dräger

Nested Class Summary
`static class` `SelectionFunction.SelectAll`
`static class` `SelectionFunction.Threshold` Selects individuals who's fitness exceeds a threshold value.

Field Summary
`static SelectionFunction` `DEFAULT` Selects all members of a population for replication

Method Summary
`Population` `select(Population pop, GeneticAlgorithm genAlg)` Selects a `Population` of `Organisms` for replication based on their fitness.

Field Detail

### DEFAULT

    static final SelectionFunction DEFAULT

  Selects all members of a population for replication

Method Detail

### select

    Population select(Population pop,
                      GeneticAlgorithm genAlg)
                      throws ChangeVetoException

  Selects a `Population` of `Organisms` for replication based on their fitness.

  Parameters:
    `pop` - the `Population` to select from.
    `genAlg` - the parent `GeneticAlgorithm`.
  Returns:
    the `Organism`s selected
  Throws:
    `ChangeVetoException` - if the function attempts to change the population and it is vetoed.